Summary:	Linux WPA Supplicant (IEEE 802.1X, WPA, WPA2, RSN, IEEE 802.11i)
Name:		wpa_supplicant
Version:	0.5.5
Release:	%mkrel 2
License:	GPL
Group:		Communications
URL:		http://hostap.epitest.fi/wpa_supplicant/
Source0:	http://hostap.epitest.fi/releases/%{name}-%{version}.tar.bz2
Source1:	wpa-config
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libopenssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	doxygen
BuildRequires:	qt3-devel
BuildRequires:  madwifi-source
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
# http://ndiswrapper.sourceforge.net/wiki/index.php/WPA

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE
802.1X/WPA component that is used in the client stations. It
implements key negotiation with a WPA Authenticator and it controls
the roaming and IEEE 802.11 authentication/association of the wlan
driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

Supported WPA/IEEE 802.11i features:
    * WPA-PSK ("WPA-Personal")
    * WPA with EAP (e.g., with RADIUS authentication server)
      ("WPA-Enterprise")
    * key management for CCMP, TKIP, WEP104, WEP40
    * WPA and full IEEE 802.11i/RSN/WPA2
    * RSN: PMKSA caching, pre-authentication

See the project web site or the eap_testing.txt file for a complete
list of supported EAP methods (IEEE 802.1X Supplicant), supported
drivers and interoperability testing.

%package -n wpa_gui
Group: System/Configuration/Networking
Summary: Graphical tool for wpa_supplicant
%description -n wpa_gui
wpa_gui is a QT frontend for wpa_supplicant.
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN).

%prep
%setup -q
# (blino) comment all "network = { }" blocks
perl -pi -e '$_ = "# $_" if /^\s*network\s*=\s*{/ .. /^\s*}/' wpa_supplicant.conf
cp %{SOURCE1} .config

%build
make
cd wpa_gui;
qmake; make; cd -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

cp wpa_supplicant $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_cli $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_passphrase $RPM_BUILD_ROOT/%{_sbindir}
cp wpa_supplicant.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp wpa_gui/wpa_gui $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README eap_testing.txt todo.txt
%attr(0600,root,daemon) %config(noreplace) %{_sysconfdir}/wpa_supplicant.conf
%{_sbindir}/wpa_cli
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant

%files -n wpa_gui
%{_sbindir}/wpa_gui


%changelog
* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:32:30 (60194)
- drop internal copy of non-free madwifi source, use free madwifi-source package instead

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:29:00 (60193)
- Import wpa_supplicant


* Tue Sep  5 2006 Olivier Blin <blino@mandriva.com> 0.5.5-1mdv2007.0
- 0.5.5
- update to madwifi 0.9.2
- split QT GUI in wpa_gui package
  (so that wpa_supplicant doesn't require QT and X11 libs)

* Wed Jun 21 2006 Olivier Blin <oblin@mandriva.com> 0.5.4-1mdv2007.0
- New release 0.5.4

* Fri Apr 28 2006 Olivier Blin <oblin@mandriva.com> 0.5.3-1mdk
- New release 0.5.3

* Mon Mar 20 2006 Olivier Blin <oblin@mandriva.com> 0.5.2-1mdk
- New release 0.5.2

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 0.5.1-1mdk
- New release 0.5.1

* Mon Dec 19 2005 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdk
- New release 0.5.0

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.4.7-3mdk
- rebuilt with pcsc-lite 1.2.9

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.4.7-2mdk
- make the description shorter (by removing EAP methods and drivers list)
- remove mkrel macro definition

* Mon Nov 21 2005 Olivier Blin <oblin@mandriva.com> 0.4.7-1mdk
- New release 0.4.7

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-2mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 28 2005 Olivier Blin <oblin@mandriva.com> 0.4.6-1mdk
- 0.4.6

* Mon Oct  3 2005 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdk
- 0.4.5
- update madwifi drivers (Source2)

* Mon Aug 22 2005 Olivier Blin <oblin@mandriva.com> 0.4.4-1mdk
- 0.4.4

* Tue Jul  5 2005 Olivier Blin <oblin@mandriva.com> 0.4.3-1mdk
- 0.4.3
- developer.txt isn't in the tarball anymore, see
  http://hostap.epitest.fi/wpa_supplicant/devel/

* Tue Jun  7 2005 Arnaud de Lorbeau <devel@mandriva.com> 0.4.1-2mdk
- build and package wpa_gui
- add EAP-AKA and EAP-PSK in build config file

* Fri May 27 2005 Olivier Blin <oblin@mandriva.com> 0.4.1-1mdk
- 0.4.1
- drop Patch0 (SIOCSIWSCANEXT doesn't belong to latest WE 18 proposal)

* Fri May 20 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-9mdk
- update Summary and Description (Arnaud de Lorbeau)
- package eap_testing.txt

* Thu May 19 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-8mdk
- remove crappy code in patch0

* Fri May 13 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-7mdk
- update Patch0 to set ssid for all wext based drivers
  (SIOCSIWSCANEXT isn't supported yet)

* Mon Apr 18 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-6mdk
- remove init script, use WPA support in the initscripts

* Tue Mar 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-5mdk
- Patch0: workaround to have WPA working with ipw and hidden ssid

* Tue Mar 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-4mdk
- add madwifi support in init script (Adam Williamson, #14637)

* Wed Mar  9 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-3mdk
- make wpa_supplicant.conf readable by root only

* Thu Feb 24 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-2mdk
- update to madwifi-cvs-snapshot-2005-02-24
- use "./madwifi" folder in wpa-config (do not depend on date)
- comment all "network = { }" blocks in wpa_supplicant.conf
- drop Patch0, merged above
- use %%{_sysconfdir}

* Tue Feb 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8
- remove Patch1 (ipw support added upstream)
- merge Patch0 in wpa-config
- use ipw driver for ipw2x00 cards in init script
- build control interface (CONFIG_CTRL_IFACE)
- Patch0: comment FAST and PSK AP in wpa_supplicant.conf
  (experimental and not built-in yet)

* Thu Dec 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.5-2mdk
- add ipw2100 patch
- distro-specific release tag
- init script (S3)

* Thu Oct 28 2004 Stefan van der Eijk <stefan@mandrake.org> 0.2.5-1mdk
- 0.2.5

* Mon Sep 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.2.4-1mdk
- clean spec
- 0.2.4

* Tue May 11 2004 Tooru Yoshida <yoshida@embeddedlinux.jp>
- wpa_supplicant 0.2.1
